# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Apr 30 20:58:17 2024
# ------------------------------------------------

package:
  name: zlib
  version: 1.2.13
source:
  patches:
    - cmake-pkg-config.patch
  sha256: b3a24de97a8fdbc835b9833169501030b8977031bcb54b3b3ac13740f846ab30
  url: https://github.com/madler/zlib/releases/download/v1.2.13/zlib-1.2.13.tar.gz
build:
  number: '1'
  run_exports:
    - zlib >=1.2.13,<1.3.0a0
  string: h998d150_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - cmake-no-system 3.25.3 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - make 4.2.1 hfd63f10_1
    - patch 2.7.6 hfd63f10_1001
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - ripgrep 13.0.0 h5208759_2
  run:
    - libgcc-ng >=11.2.0
test:
  commands:
    - test -f ${PREFIX}/include/zlib.h
    - test -f ${PREFIX}/lib/libz.a
    - test -f ${PREFIX}/lib/libz.so
about:
  description: 'zlib is designed to be a free, general-purpose, lossless data-compression

    library for use on virtually any computer hardware and operating system.

    '
  dev_url: https://github.com/madler/zlib
  doc_url: https://zlib.net/manual.html
  home: https://zlib.net/
  license: Zlib
  license_family: Other
  license_file: zlib.h
  summary: Massively spiffy yet delicately unobtrusive compression library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: cce57d1d-98c4-456b-9d9a-a06dfab1c415
  recipe-maintainers:
    - groutr
    - mingwandroid
    - msarahan
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/zlib-feedstock.git
  sha: b57c9c8be0d78d53293e72a59c2e5dc3462b2c90
